/// <reference types="react" />
import "./style.scss";
import PropTypes from "prop-types";
declare const Button: {
    (props: any): JSX.Element;
    propTypes: {
        children: PropTypes.Validator<any>;
        loadingText: PropTypes.Requireable<string>;
        block: PropTypes.Requireable<boolean>;
        loading: PropTypes.Requireable<boolean>;
        type: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        loading: boolean;
        type: string;
        disabled: boolean;
        className: string;
        color: string;
        style: {};
        block: boolean;
        onClick: () => null;
    };
};
export default Button;
