

function ___$insertStyle(css) {
  if (!css) {
    return;
  }
  if (typeof window === 'undefined') {
    return;
  }

  var style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);
  return css;
}

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var PropTypes = require('prop-types');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

___$insertStyle(".button {\n  display: inline-block;\n  color: white;\n  font-size: 14px;\n  padding: 10px 30px;\n  cursor: pointer;\n  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);\n  transition: 0.3s ease;\n  border: none;\n  outline: none;\n  background-color: #006dd2;\n}\n.button.block {\n  display: block;\n  width: 100%;\n}\n.button:hover {\n  background-color: #0060b9;\n}\n.button.success {\n  background-color: #19a160;\n}\n.button.success:hover {\n  background-color: #168b53;\n}\n.button.error {\n  background-color: #ff6464;\n}\n.button.error:hover {\n  background-color: #ff4b4b;\n}\n.button.disabled {\n  background-color: #c4c4c4;\n}\n.button.disabled:hover {\n  background-color: #c4c4c4;\n  cursor: not-allowed;\n}\n.button.Kloading {\n  position: relative;\n}\n.button.Kloading::after {\n  content: \"\";\n  position: absolute;\n  right: 5%;\n  top: 50%;\n  transform: translateY(-50%);\n  border: 2px solid transparent;\n  border-right-color: white;\n  width: 10px;\n  height: 10px;\n  border-radius: 50%;\n  animation: Krotate 0.5s linear infinite;\n}\n@keyframes Krotate {\n  to {\n    transform: translateY(-50%) rotateZ(360deg);\n  }\n}");

var Button = function (props) {
    return (jsxRuntime.jsx("button", __assign({ onClick: props.onClick, className: "button " + (props.loading ? "Kloading" : "") + " " + (props.disabled ? "disabled" : "") + " " + props.color + " " + props.className + " " + (props.block ? "block" : ""), disabled: props.disabled, type: props.type, style: props.style }, { children: props.loading && props.loadingText ? props.loadingText : props.children }), void 0));
};
Button.propTypes = {
    children: PropTypes__default['default'].any.isRequired,
    loadingText: PropTypes__default['default'].string,
    block: PropTypes__default['default'].bool,
    loading: PropTypes__default['default'].bool,
    type: PropTypes__default['default'].oneOf(["button", "submit", "reset"]),
    disabled: PropTypes__default['default'].bool,
    className: PropTypes__default['default'].string,
    color: PropTypes__default['default'].oneOf(["default", "success", "error"]),
    style: PropTypes__default['default'].object,
    onClick: PropTypes__default['default'].func,
};
Button.defaultProps = {
    loading: false,
    type: "button",
    disabled: false,
    className: "",
    color: "default",
    style: {},
    block: false,
    onClick: function () { return null; },
};

exports.default = Button;
